Return a new session ID

- « SessionHandler::close

- SessionHandler::destroy »

- PHP Manual
- SessionHandler
- Return a new session ID

# SessionHandler::create_sid

(PHP 5 >= 5.5.1, PHP 7, PHP 8)

SessionHandler::create_sid — Return a new session ID

### Description

public SessionHandler::create_sid(): string

Generates and returns a new session ID.

### Parameters

This function has no parameters.

### Return Values

A session ID valid for the default session handler.

### See Also

- session_id() - Get and/or set the current session id
- session_create_id() - Create new session id